package ru.dbotthepony.mc.otm.client.render

object Widgets {
	val SLOT = WidgetLocation.MISC.sprite(0f, 0f, 18f, 18f)

	val ARROW_UP_BUTTON_IDLE = 			WidgetLocation.MISC.sprite(0f, 18f, 18f, 6f)
	val ARROW_UP_BUTTON_HOVERED = 		WidgetLocation.MISC.sprite(0f, 18f + 6f, 18f, 6f)
	val ARROW_UP_BUTTON_PRESSED = 		WidgetLocation.MISC.sprite(0f, 18f + 6f * 2f, 18f, 6f)
	val ARROW_UP_BUTTON_DISABLED = 		WidgetLocation.MISC.sprite(0f, 18f + 6f * 3f, 18f, 6f)

	val ARROW_DOWN_BUTTON_IDLE = 		ARROW_UP_BUTTON_IDLE.copy(winding = UVWindingOrder.FLIP)
	val ARROW_DOWN_BUTTON_HOVERED = 	ARROW_UP_BUTTON_HOVERED.copy(winding = UVWindingOrder.FLIP)
	val ARROW_DOWN_BUTTON_PRESSED = 	ARROW_UP_BUTTON_PRESSED.copy(winding = UVWindingOrder.FLIP)
	val ARROW_DOWN_BUTTON_DISABLED = 	ARROW_UP_BUTTON_DISABLED.copy(winding = UVWindingOrder.FLIP)
}
